describe('Auth Module', function() {

    before(() => {
      return Edge.Client.connect();
    });
  
    after(() => {
      Edge.Client.disconnect();
    });
  
    it('should retrieve user informations', function() {
      return Edge.Client.rpc("getUserInfo")
        .then(userInfo => {
          console.log("getUserInfo result:", userInfo);
          chai.assert.property(userInfo, 'subject');
          chai.assert.property(userInfo, 'role');
          chai.assert.property(userInfo, 'preferredUsername');
        })
    });
  
});