Edge.Client.debug = true;
Edge.Frame.debug = true;

describe('Edge', function() {

  describe('#connect()', function() {
    after(() => {
      Edge.Client.disconnect();
    });

    it('should open the connection', function() {
      return Edge.Client.connect()
        .then(() => {
          chai.assert.isNotNull(Edge.Client._conn);
        });
    });
  });

  describe('#disconnect()', function() {
    it('should close the connection', function() {
      Edge.Client.disconnect();
      chai.assert.isNull(Edge.Client._conn);
    });
  });
  
});
